{
    "version": 2,
    "configurePresets": [
        {
            "name": "Arnold_6.2.1.1_Maya2020",
            "displayName": "Mtoa 4.2.4 for Maya 2020 (Arnold 6.2.0.1)",
            "description": "Sets Visual Studio 17 2022 Win64 generator, build and install directory",
            "generator": "Visual Studio 17 2022",
            "toolset": "v141",
            "binaryDir": "${sourceDir}/build/${presetName}",
            "cacheVariables": {
                "CMAKE_BUILD_TYPE": "Release",
                "CMAKE_TOOLCHAIN_FILE": "",
                "CMAKE_INSTALL_PREFIX": "${sourceDir}/install/2020",
                "CMAKE_CXX_FLAGS_RELWITHDEBINFO": "/Od /Zi",
                "CMAKE_CXX_FLAGS_RELEASE": "/O2"
            },
            "environment": {
                "MAYA_VERSION": "2020",
                "ARNOLD_LOCATION": "D:/library/external/Arnold-6.2.1.1",
                "MTOA_LOCATION":"C:/Autodesk/mtoa/4.2.4/2020"
            }
        },
        {
            "name": "Arnold-7.1.3.2_Maya2020",
            "displayName": "Mtoa 5.2.1.1 Maya 2020 (Arnold 7.1.3.2)",
            "description": "Sets Visual Studio 17 2022 Win64 generator, build and install directory",
            "generator": "Visual Studio 17 2022",
            "toolset": "v141",
            "binaryDir": "${sourceDir}/build/${presetName}",
            "cacheVariables": {
                "CMAKE_BUILD_TYPE": "Release",
                "CMAKE_TOOLCHAIN_FILE": "",
                "CMAKE_INSTALL_PREFIX": "${sourceDir}/install/2020",
                "CMAKE_CXX_FLAGS_RELWITHDEBINFO": "/Od /Zi",
                "CMAKE_CXX_FLAGS_RELEASE": "/O2"
            },
            "environment": {
                "MAYA_VERSION": "2020",
                "ARNOLD_LOCATION": "D:/library/external/Arnold-7.1.3.2",
                "MTOA_LOCATION":"C:/Autodesk/mtoa/5.2.1.1/2020"
            }
        }
    ],
    "buildPresets": [
        {
            "name": "Arnold_6.2.0.1_Release",
            "description": "Release Build",
            "displayName": "Mtoa 4.2.4 (Arnold_6.2) for Maya 2020 Release",
            "configurePreset": "Arnold_6.2.1.1_Maya2020",
            "configuration": "Release",
            "targets": "install"
        },
        {
            "name": "Arnold_6.2.0.1_RelWithDebInfo",
            "description": "Release Build",
            "displayName": "Mtoa 4.2.4 (Arnold_6.2) for Maya 2020 RelWithDebInfo",
            "configurePreset": "Arnold_6.2.1.1_Maya2020",
            "configuration": "RelWithDebInfo",
            "targets": "install"
        },
        {
            "name": "Arnold_7.1.3.2_Release",
            "description": "Release Build",
            "displayName": "Mtoa 5.2.1.1 (Arnold_7.1) for Maya 2022 Release",
            "configurePreset": "Arnold-7.1.3.2_Maya2020",
            "configuration": "Release",
            "targets": "install"
        },
        {
            "name": "Arnold_7.1.3.2_RelWithDebInfo",
            "description": "Release Build",
            "displayName": "Mtoa 5.2.1.1 (Arnold_7.1) for Maya 2022 RelWithDebInfo",
            "configurePreset": "Arnold-7.1.3.2_Maya2020",
            "configuration": "RelWithDebInfo",
            "targets": "install"
        }
    ]
}